INCLUDES = -I$(top_srcdir)/libical/src/libical \
           -I$(top_srcdir)/libical/src/libicalss \
           -I$(top_builddir)/libical/src/libical \
           -I$(top_builddir)/libical/src/libicalss \
           -I$(srcdir)/versit -I$(top_srcdir)/ \
           -I$(top_srcdir)/knotes \
           -I$(top_builddir)/kaddressbook \
           -I$(top_builddir)/kaddressbook/common \
           -I$(top_srcdir)/kaddressbook/common \
           -I$(top_builddir)/tderesources/egroupware \
           $(all_includes)

noinst_HEADERS = tdeabc_resourcexmlrpcconfig.h kcal_resourcexmlrpcconfig.h \
                 knotes_resourcexmlrpcconfig.h

noinst_LTLIBRARIES = libegwcommon.la
libegwcommon_la_SOURCES = xmlrpciface.cpp synchronizer.cpp debugdialog.cpp

lib_LTLIBRARIES = libtdeabc_xmlrpc.la libkcal_xmlrpc.la libknotes_xmlrpc.la
libtdeabc_xmlrpc_la_SOURCES = tdeabc_resourcexmlrpc.cpp tdeabc_resourcexmlrpcconfig.cpp  \
                            tdeabc_egroupwareprefs.kcfgc
libtdeabc_xmlrpc_la_LDFLAGS = $(KDE_RPATH) $(all_libraries) -version-info 1:0:0 -no-undefined
libtdeabc_xmlrpc_la_LIBADD = $(LIB_TDEIO) -ltdeabc $(top_builddir)/libtdepim/libtdepim.la \
                           $(top_builddir)/kaddressbook/common/libkabcommon.la \
                           libegwcommon.la

libkcal_xmlrpc_la_SOURCES = kcal_resourcexmlrpc.cpp kcal_resourcexmlrpcconfig.cpp \
                            todostatemapper.cpp kcal_egroupwareprefs.kcfgc
libkcal_xmlrpc_la_LDFLAGS = $(KDE_RPATH) $(all_libraries) -version-info 1:0:0 -no-undefined
libkcal_xmlrpc_la_LIBADD = $(top_builddir)/libkcal/libkcal.la \
                           $(top_builddir)/libtdepim/libtdepim.la \
                           libegwcommon.la

libknotes_xmlrpc_la_SOURCES = knotes_resourcexmlrpc.cpp knotes_resourcexmlrpcconfig.cpp \
                              knotes_egroupwareprefs.kcfgc
libknotes_xmlrpc_la_LDFLAGS = $(KDE_RPATH) $(all_libraries) -version-info 1:0:0 -no-undefined
libknotes_xmlrpc_la_LIBADD = $(top_builddir)/libkcal/libkcal.la -ltdeprint \
                             $(top_builddir)/knotes/libknotesresources.la \
                             $(top_builddir)/libtdepim/libtdepim.la \
                             libegwcommon.la

tdeabcincludedir = $(includedir)/tdeabc
tdeabcinclude_HEADERS = tdeabc_resourcexmlrpc.h kcal_resourcexmlrpc.h

kde_module_LTLIBRARIES = tdeabc_xmlrpc.la kcal_xmlrpc.la knotes_xmlrpc.la

tdeabc_xmlrpc_la_SOURCES = tdeabc_resourcexmlrpcplugin.cpp
tdeabc_xmlrpc_la_LDFLAGS = $(all_libraries) -module $(KDE_PLUGIN)
tdeabc_xmlrpc_la_LIBADD	= libtdeabc_xmlrpc.la

kcal_xmlrpc_la_SOURCES = kcal_resourcexmlrpcplugin.cpp
kcal_xmlrpc_la_LDFLAGS = $(all_libraries) -module $(KDE_PLUGIN)
kcal_xmlrpc_la_LIBADD = libkcal_xmlrpc.la

knotes_xmlrpc_la_SOURCES = knotes_resourcexmlrpcplugin.cpp
knotes_xmlrpc_la_LDFLAGS = $(all_libraries) -module $(KDE_PLUGIN)
knotes_xmlrpc_la_LIBADD = libknotes_xmlrpc.la

tdeabc_servicedir = $(kde_servicesdir)/tderesources/tdeabc
tdeabc_service_DATA = tdeabc_xmlrpc.desktop

kcal_servicedir = $(kde_servicesdir)/tderesources/kcal
kcal_service_DATA = kcal_xmlrpc.desktop

knotes_servicedir = $(kde_servicesdir)/tderesources/knotes
knotes_service_DATA = knotes_xmlrpc.desktop

METASOURCES = AUTO

messages: rc.cpp
	$(XGETTEXT) *.cpp -o $(podir)/kres_xmlrpc.pot

tdeabc_resourcexmlrpc.lo: ../../kaddressbook/common/kabprefs_base.h
